# Type alias Idl

Idl: {
accounts?: IdlAccountDef[];
constants?: IdlConstant[];
docs?: string[];
errors?: IdlErrorCode[];
events?: IdlEvent[];
instructions: IdlInstruction[];
metadata?: IdlMetadata;
name: string;
state?: IdlState;
types?: IdlTypeDef[];
version: string;
}

#### Type declaration

- ##### `Optional` accounts?: IdlAccountDef[]

- ##### `Optional` constants?: IdlConstant[]

- ##### `Optional` docs?: string[]

- ##### `Optional` errors?: IdlErrorCode[]

- ##### `Optional` events?: IdlEvent[]

- ##### instructions: IdlInstruction[]

- ##### `Optional` metadata?: IdlMetadata

- ##### name: string

- ##### `Optional` state?: IdlState

- ##### `Optional` types?: IdlTypeDef[]

- ##### version: string

- Defined in platforms/solana/src/utils/anchor/idl.ts:9

Generated using TypeDoc